﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Employees
{
    public partial class AddEmployee : Form
    {
        public string ID { get; set; }
        public string FirstName { get; set; }
        public string LastName { get; set; }
        public int Salary { get; set; }
        public int Bonus { get; set; }
        public string Department { get; set; }
        public string HireDate { get; set; }
        public string PhoneNumber { get; set; }
        public string Email { get; set; }

        public AddEmployee()
        {
            InitializeComponent();
        }

        

        private void button1_Click(object sender, EventArgs e)
        {
            bool correct = true;
            if (Employees.testIfExists(cueTextBox1.Text))
            {
                this.ID = cueTextBox1.Text;
            }
            else
            {
                correct = false;
            }
            this.FirstName = textBox2.Text;
            this.LastName = textBox3.Text;
            if (Employees.testIfNumber(textBox4.Text, label4.Text))
            {
                this.Salary = Convert.ToInt32(textBox4.Text);
            }
            else
            {
                correct = false;
            }
            if (Employees.testIfNumber(textBox5.Text, label5.Text))
            {
                this.Bonus = Convert.ToInt32(textBox5.Text);
            }
            else
            {
                correct = false;
            }
            this.Department = textBox6.Text;
            this.HireDate = cueTextBox2.Text;
            this.PhoneNumber = textBox8.Text;
            this.Email = textBox9.Text;
            if (correct)
            {
                this.DialogResult = System.Windows.Forms.DialogResult.OK;
                Employees.addToDataTable(ID, FirstName, LastName, Salary, Bonus, Department, HireDate, PhoneNumber, Email);
                this.Close();
            }   
        }

        private void button2_Click(object sender, EventArgs e)
        {
            this.DialogResult = System.Windows.Forms.DialogResult.Cancel;
            this.Close();
        }
    }
}
